<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project12</name>
  <program_name>project12</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>main_widget</name>
  <title>MIDI Device Selector</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>True</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkNotebook</class>
    <name>notebook1</name>
    <can_focus>True</can_focus>
    <show_tabs>True</show_tabs>
    <show_border>True</show_border>
    <tab_pos>GTK_POS_TOP</tab_pos>
    <scrollable>False</scrollable>
    <tab_hborder>2</tab_hborder>
    <tab_vborder>2</tab_vborder>
    <popup_enable>False</popup_enable>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkHBox</class>
	<name>some_box</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label1</name>
	  <label> MIDI Device:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_input_selector_entry</handler>
	    <last_modification_time>Tue, 15 Feb 2000 07:53:20 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text>/dev/midi</text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_input_selector_open</handler>
	    <last_modification_time>Tue, 15 Feb 2000 07:53:58 GMT</last_modification_time>
	  </signal>
	  <label>Open</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkScrolledWindow</class>
	<name>scrolledwindow1</name>
	<hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
	<vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
	<hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
	<vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkCList</class>
	  <name>clist1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_input_selector_clist</handler>
	    <last_modification_time>Tue, 22 Feb 2000 04:36:18 GMT</last_modification_time>
	  </signal>
	  <columns>3</columns>
	  <column_widths>210,76,64</column_widths>
	  <selection_mode>GTK_SELECTION_SINGLE</selection_mode>
	  <show_titles>True</show_titles>
	  <shadow_type>GTK_SHADOW_IN</shadow_type>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>id</name>
	    <label>Id</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>description</name>
	    <label>Description</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>destination</name>
	    <label>Destination</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkToggleButton</class>
	  <name>grope</name>
	  <can_focus>True</can_focus>
	  <label>Grope</label>
	  <active>False</active>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>midi status</name>
	  <label>...</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button2</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:midi</handler>
	    <last_modification_time>Tue, 01 Feb 2000 17:51:30 GMT</last_modification_time>
	  </signal>
	  <label>help</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label1</name>
      <label>devices</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>



  </widget>
</widget>

</GTK-Interface>
